package com.sxyz.rfid.presenter.model;

import com.google.gson.annotations.SerializedName;

import java.util.List;

/**
 * 主要功能: 字典模型
 *
 * @Description: 字典模型
 * @Project: rfid-app
 * @Package: com.sxyz.rfid.presenter.model
 * @author: chunyuanwu
 * @date: 2025年12月29日 12:02
 * @version: 1.0.0
 */
public class DictModel {

    /**
     * total : 2
     * rows : [{"createBy":"admin","createTime":"2025-12-29 09:38:14","updateBy":null,"updateTime":null,"remark":null,"dictCode":149,"dictSort":1,"dictLabel":"周期","dictValue":"1","dictType":"plan_type","cssClass":null,"listClass":"default","isDefault":"N","status":"0","default":false},{"createBy":"admin","createTime":"2025-12-29 09:38:30","updateBy":null,"updateTime":null,"remark":null,"dictCode":150,"dictSort":2,"dictLabel":"常规","dictValue":"2","dictType":"plan_type","cssClass":null,"listClass":"default","isDefault":"N","status":"0","default":false}]
     * code : 200
     * msg : 查询成功
     */

    private int total;
    private int code;
    private String msg;
    private List<RowsBean> rows;

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public List<RowsBean> getRows() {
        return rows;
    }

    public void setRows(List<RowsBean> rows) {
        this.rows = rows;
    }

    public static class RowsBean {
        /**
         * createBy : admin
         * createTime : 2025-12-29 09:38:14
         * updateBy : null
         * updateTime : null
         * remark : null
         * dictCode : 149
         * dictSort : 1
         * dictLabel : 周期
         * dictValue : 1
         * dictType : plan_type
         * cssClass : null
         * listClass : default
         * isDefault : N
         * status : 0
         * default : false
         */

        private int dictCode;
        private int dictSort;
        private String dictLabel;
        private String dictValue;
        private String dictType;
        private String status;

        public int getDictCode() {
            return dictCode;
        }

        public void setDictCode(int dictCode) {
            this.dictCode = dictCode;
        }

        public int getDictSort() {
            return dictSort;
        }

        public void setDictSort(int dictSort) {
            this.dictSort = dictSort;
        }

        public String getDictLabel() {
            return dictLabel;
        }

        public void setDictLabel(String dictLabel) {
            this.dictLabel = dictLabel;
        }

        public String getDictValue() {
            return dictValue;
        }

        public void setDictValue(String dictValue) {
            this.dictValue = dictValue;
        }

        public String getDictType() {
            return dictType;
        }

        public void setDictType(String dictType) {
            this.dictType = dictType;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

    }
}
